[Scipy-tickets] [SciPy] #1878: scipy

SciPy Trac scipy-tickets@scipy....
Wed Mar 27 21:54:16 CDT 2013


#1878: scipy
--------------------------+-------------------------------------------------
 Reporter:  akrimkevich   |       Owner:  cdavid     
     Type:  defect        |      Status:  new        
 Priority:  normal        |   Milestone:  Unscheduled
Component:  Build issues  |     Version:  devel      
 Keywords:  cython        |  
--------------------------+-------------------------------------------------
 When installing scipy using 'pip install -e
 git+git://github.com/scipy/scipy.git#egg=scipy-dev', the cythonize.py
 script fails because it attempts to execute the 'cython' program, which it
 appears is not a byproduct of the install of cython 0.18. Please see
 attached output.
 [[BR]][[BR]]
 $ python --version[[BR]]
 Python 2.7.3[[BR]][[BR]]
 $ python -c "import Cython; print Cython.__version__"[[BR]]
 0.18[[BR]][[BR]]
 $ uname -prsv[[BR]]
 Darwin 12.3.0 Darwin Kernel Version 12.3.0: Sun Jan  6 22:37:10 PST 2013;
 root:xnu-2050.22.13~1/RELEASE_X86_64 i386[[BR]]

 An executable cython.py is, however, placed in site-packages. Wrapping it
 in a script like the following allowed a successful install.

 #/bin/bash
 python /usr/local/lib/python2.7/site-packages/cython.py $@

-- 
Ticket URL: <http://projects.scipy.org/scipy/ticket/1878>
SciPy <http://www.scipy.org>
SciPy is open-source software for mathematics, science, and engineering.


More information about the Scipy-tickets mailing list